# Metadata

Add some metadata to identify the device/user:

```java
//This information will be shown in two places: "Installations" and "Exceptions" tabs of the web administration 
PushLink.addMetadata("Ip", getIp());
PushLink.addMetadata("Phone Number", getPhoneNumber());
PushLink.addMetadata("Brand", Build.BRAND);
PushLink.addMetadata("Model", Build.MODEL);
PushLink.addMetadata("OS Version", Build.VERSION.RELEASE);
PushLink.addMetadata("Logged in user", getUserName());
...

//This information will be shown ONLY in the "Exceptions" tab of the web administration 
PushLink.addExceptionMetadata("Battery Level", getBatteryLevel());
PushLink.addExceptionMetadata("Network Status", getNetworkStatus());
...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pushlink.com/metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
